


#if MAX_SPHERICAL_HARMONICS

vec3 get_sh9(vec3 direction, int sh_index)
{
    vec3 dir = SH9_rotation * direction;
    SH9 sh = SH9_coefficients[0];
    return sh.c[0].rgb * 0.282095 
    + sh.c[1].rgb * 0.488603 * dir.y 
    + sh.c[2].rgb * 0.488603 * dir.z 
    + sh.c[3].rgb * 0.488603 * dir.x 
    + sh.c[4].rgb * 1.092548 * dir.x * dir.y 
    + sh.c[5].rgb * 1.092548 * dir.y * dir.z 
    + sh.c[6].rgb * 0.315392 * (3.0 * dir.z * dir.z - 1.0) 
    + sh.c[7].rgb * 1.092548 * dir.x * dir.z 
    + sh.c[8].rgb * 0.546274 * (dir.x * dir.x - dir.y * dir.y)
    ;
}

#endif

